# Method Fuse.run()

Method run

  `void run(Operations handler, array(string) args)`

Description

  Start fuse. Args is as in argv in main(). This function will not return.

  The first argument (argv[0], program name) is used as the filesystem name. The first non-flag argument after argv[0] is used as the mountpoint. Otherwise these arguments are supported:

           -d                  enable debug output (implies -f)
           -f                  foreground operation
           -s                  disable multithreaded operation
           -r                  mount read only (equivalent to '-o ro')
           -o opt,[opt...]     mount options
           -h                  print help

  Mount options:

           rootmode=M             permissions of the '/' directory in the filesystem (octal)
           user_id=N              user of '/' (numeric)
           group_id=N             group of '/' (numeric)
           default_permissions    enable permission checking

        By default FUSE doesn't check file access permissions, the
        filesystem is free to implement it's access policy or leave it to
        the underlying file access mechanism (e.g. in case of network
        filesystems).  This option enables permission checking,
        restricting access based on file mode.  It is usually useful
        together with the 'allow_other' mount option.

           allow_other            allow access to other users

       This option overrides the security measure restricting file access
       to the user mounting the filesystem.  This option is by default
       only allowed to root, but this restriction can be removed with a
       (userspace) configuration option (in fuse.ini).

           large_read             issue large read requests (2.4 only)
           max_read=N             set maximum size of read requests (default 128K)
           hard_remove            immediate removal (don't hide files)
           debug                  enable debug output
           fsname=NAME            set filesystem name in mtab (overrides argv[0])